<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/templateeditor/class/view/pluginblogtemplatesetslistview.class.php" );

	/**
	 * shows a form with the current configuration
	 */
	class PluginBlogTemplateSetsListAction extends AdminAction
	{
		
		function PluginBlogTemplateSetsListAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );

			$this->requirePermission( "edit_blog_templates" );
		}
		
		function perform()
		{
            $this->_view = new PluginBlogTemplateSetsListView( $this->_blogInfo );
			
			$this->setCommonData();
			
			return true;
		}
	}
?>